Kirjoittaja Aihe: Skanlite ei toimi Linux Mint Edgessä (20.3)  (Luettu 2354 kertaa)

0 jäsentä ja 1 Vieras katselee tätä aihetta.

Poissa RaijaR

  • Jäsen
  • Viestejä: 1427
  • Sukupuoli: Nainen
Skanlite ei toimi Linux Mint Edgessä (20.3)
« : 20.02.2023 - klo:12:46 »
Asensin velipojalle Linux Mint Edgeen tulostinohjelman eli hplip-3.22.10.run. Ja tulostin alkoi toimimaan. Tosin sain asennuksen menemään läpi vasta, kun annoin komennon (löysin sen internetin sivulta): sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp.
Tulostin on HP LaserJet Pro 100 color monitoimitulostin M175nw muistaakseni.
Kun yritän käynnistää Skanlitea, niin tulee herjaa
Koodia: [Valitse]
helmi 20 10:33:36 LinuxMint skanlite[5529]: io/hpmud/musb.c 427: Found interface conf=0, iface=1, altset=0, index=1
helmi 20 10:33:36 LinuxMint skanlite[5529]: io/hpmud/musb.c 389: Active kernel driver on interface=1 ret=0
helmi 20 10:33:36 LinuxMint skanlite[5529]: io/hpmud/musb.c 535: claimed 7/1/2 interface
helmi 20 10:33:36 LinuxMint skanlite[5529]: io/hpmud/musb.c 780: read actual device_id successfully fd=1 len=185
helmi 20 10:33:36 LinuxMint skanlite[5529]: io/hpmud/musb.c 561: released 7/1/2 interface
helmi 20 10:33:36 LinuxMint skanlite[5529]: common/utils.c 245: unable to load library libm.so: /lib/x86_64-linux-gnu/libm.so: virheellinen ELF-otsikko
helmi 20 10:33:36 LinuxMint skanlite[5529]: common/utils.c 112: unable to open /var/lib/hp/hplip.state: Tiedostoa tai hakemistoa ei ole
helmi 20 10:33:36 LinuxMint skanlite[5529]: common/utils.c 162: validate_plugin_version() Failed to get Plugin version from [/var/lib/hp/hplip.state]
helmi 20 10:33:36 LinuxMint skanlite[5529]: common/utils.c 206: Plugin version is not matching
helmi 20 10:33:36 LinuxMint skanlite[5529]: common/utils.c 277: Invalid Library hanlder pLibHandler = NULL.

Ilmeisesti tuo sudo apt-get remove ei ollut hyvä juttu, mutta voisiko joku neuvoa, miten kursin tämän kasaan?
« Viimeksi muokattu: 20.02.2023 - klo:12:54 kirjoittanut RaijaR »
Pöytäkone ASUS ExpertCenter PN52, Tumbleweed, jossa nippu distroja QEMU/KVM:ssä.
Ja Väinö-minibulli :D
Huom! Kirjoitusvihreet tulee jostain aravuudesta...

Poissa peran

  • Käännösryhmä
  • *
  • Viestejä: 444
Vs: Skanlite ei toimi Linux Mint Edgessä (20.3)
« Vastaus #1 : 20.02.2023 - klo:14:38 »
Veikkaukseksi menee, mutta oliskohan sane-paketin asentamisesta hyötyä skanneriongelmassa, mikäli skanneri oli siis toiminut ennen printteriä ?

Koodia: [Valitse]
sudo apt install  libsane-hpaio

Jos sekään ei riitä, niin sitten voi yrittää tuota toista pakettia asentaa...
Koodia: [Valitse]
sudo apt install  libhpmud0
... mutta tämä saattaa jälleen sotkea tulostuksen, joten sitäkin kannattaa testata ennen ratkaisun hyväksymistä.
Uudelleen poistaminen tapahtuu...
Koodia: [Valitse]
sudo apt remove  libhpmud0

Poissa SuperOscar

  • Käännösryhmä
  • *
  • Viestejä: 919
  • Sukupuoli: Mies
  • Tänään täällä, huomenna poissa
    • Legisign.org
Vs: Skanlite ei toimi Linux Mint Edgessä (20.3)
« Vastaus #2 : 20.02.2023 - klo:18:34 »
Koodia: [Valitse]
helmi 20 10:33:36 LinuxMint skanlite[5529]: common/utils.c 245: unable to load library libm.so: /lib/x86_64-linux-gnu/libm.so: virheellinen ELF-otsikko

Tämä vähän huolestuttaa. libm.so on käsittääkseni C:n peruskirjastoja, jota tarvitaan vähän kaikessa, ja tuon virheilmoituksen mukaan se ei ole vain esimerkiksi väärää versiota vaan peräti virheellinen!
pöytäkone 1, kannettavat 1–3: Debian GNU/Linux 12; pöytäkone 2: openSUSE Tumbleweed; NUC: openSUSE Leap 15.5; RPi 1: FreeBSD 13.2-RELEASE; RPi 2: LibreELEC 11

Poissa RaijaR

  • Jäsen
  • Viestejä: 1427
  • Sukupuoli: Nainen
Vs: Skanlite ei toimi Linux Mint Edgessä (20.3)
« Vastaus #3 : 20.02.2023 - klo:19:58 »
En ole päässyt vielä testaamaan komentoja, mutta perästä kuuluu, jahka pääsen Teamviewerillä kiinni velipojan koneeseen.

Voisikohan tuossa puuttuvassa (unable to load library libm.so: /lib/x86_64-linux-gnu/libm.so: virheellinen ELF-otsikko) libissä olla kyse, että jotain libbiä ei ole linkattu johonkin toiseen libbiin (siis ln -komennolla)?

Minä olen kyllä ihan sekaisin tämän printterin kanssa, kun ei meinaa millään saada toimimaan oikein. Eikö tuohon tulostimen/skannerin asetukseen ole olemassa mitään rpm-tyylistä asennuspakettia. Hermothan tässä menee tätä kötystellessä  :P
Onkohan mitään konstia, jolla koko hplipin saa juuria myöten poistettua?
Pöytäkone ASUS ExpertCenter PN52, Tumbleweed, jossa nippu distroja QEMU/KVM:ssä.
Ja Väinö-minibulli :D
Huom! Kirjoitusvihreet tulee jostain aravuudesta...

Poissa RaijaR

  • Jäsen
  • Viestejä: 1427
  • Sukupuoli: Nainen
Vs: Skanlite ei toimi Linux Mint Edgessä (20.3)
« Vastaus #4 : 20.02.2023 - klo:22:36 »
Juu, ei onnistunut asennukset. Herjaa tuli hrjan jälkeen.Luulen, että pitäisi varmaan asentaa vanhempi versio HPLIPistä, kun tuosta versiosta on tehty bugiraportti.

Olen yrittänyt kissojen ja koirien kanssa etsiä PPA repoa, josta voisi yrittää asentaa ko. HPLIPiä graafisesti, mutta en ole löytänyt. Luultavasti myös hplip-plugin puuttuu. On tämä Mintti varsinainen rytökasa, kun on Yastiin/zypperiin tottunut.

En tiedä onko vika sitten Linux Mäntti Edgessä, mutta graafisestikaan en nyt saa asennusta tehtyä.
Pöytäkone ASUS ExpertCenter PN52, Tumbleweed, jossa nippu distroja QEMU/KVM:ssä.
Ja Väinö-minibulli :D
Huom! Kirjoitusvihreet tulee jostain aravuudesta...